import * as typescriptESTree from '@corbinu/typescript-estree';
import { analyzeScope } from './analyze-scope';
import { ParserOptions } from './parser-options';
import { visitorKeys } from './visitor-keys';
import { Program } from 'typescript';
interface ParserServices {
    program: Program | undefined;
    esTreeNodeToTSNodeMap: WeakMap<object, any> | undefined;
    tsNodeToESTreeNodeMap: WeakMap<object, any> | undefined;
}
interface ParseForESLintResult {
    ast: any;
    services: ParserServices;
    visitorKeys: typeof visitorKeys;
    scopeManager: ReturnType<typeof analyzeScope>;
}
export declare const version: any;
export declare function parse(code: string, options?: ParserOptions): any;
export declare const Syntax: Readonly<typeof typescriptESTree.AST_NODE_TYPES>;
export declare function parseForESLint<T extends ParserOptions = ParserOptions>(code: string, options?: T | null): ParseForESLintResult;
export {};
